﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class MainMenuController : MonoBehaviour {

    [SerializeField]
    private Button musicBtn;

    [SerializeField]
    private Sprite[] musicIcons;

    public GameObject quitPanel;
    public Animator anim;

	void Start () {
        CheckToPlayMusic();
    }

    void CheckToPlayMusic()
    {
        if(Game.GetMusicState () == 1)
        {
            MusicController.instance.PlayMusic(true);
            musicBtn.image.sprite = musicIcons[1];
        } else {
            MusicController.instance.PlayMusic(false);
            musicBtn.image.sprite = musicIcons[0];
        }
    }

    public void MusicButton()
    {
        if (Game.GetMusicState() == 0)
        {
            Game.SetMusicState(1);
            MusicController.instance.PlayMusic(true);
            musicBtn.image.sprite = musicIcons[1];
        }
        else if (Game.GetMusicState() == 1)
        {
            Game.SetMusicState(0);
            MusicController.instance.PlayMusic(false);
            musicBtn.image.sprite = musicIcons[0];
        }
    }

    public void StartGame() {
        GameManager.instance.gameStartedFromMainMenu = true; 
        SceneManager.LoadScene("GameplayScene");
    }

    public void OptionsMenu() {
        Debug.Log("Create a scene for Option");
    }

    public void QuitGame() {
        anim.SetBool("Slide", true);
    }

    public void ExitGame() {
        Application.Quit();
    }

    public void CancelExit() {
        anim.SetBool("Slide", false);
    }

}
