﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Player : MonoBehaviour {
    public float speed = 8f, maxVelocity = 4f;
    private Rigidbody2D myBody;
    private Animator anim;


    private void Awake() {
        myBody = GetComponent<Rigidbody2D>();
        anim = GetComponent<Animator>();
    }

    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void FixedUpdate () {
        PlayerMoveKeyboard();
    }

    void PlayerMoveKeyboard() {
        float forceX = 0f;
        float vel = Mathf.Abs(myBody.velocity.x);

        float h = Input.GetAxisRaw("Horizontal");

        if (h > 0){

            if (vel < maxVelocity)
                forceX = speed;

            Vector3 temp = transform.localScale;
            temp.x = 0.35f;
            transform.localScale = temp;

            anim.SetBool("WalkMonkey", true);

        } else if (h < 0) {

            if (vel < maxVelocity)
                forceX = -speed;

            Vector3 temp = transform.localScale;
            temp.x = -0.35f;
            transform.localScale = temp;

            anim.SetBool("WalkMonkey", true);
        }
        else {
            anim.SetBool("WalkMonkey", false);

        }

        myBody.AddForce(new Vector2(forceX, 0));
    }
}
